
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>WPF Multi-Touch 开发：基础触屏操作（Raw Touch） / iVAN</title>

    <meta name="description" content="WPF Multi-Touch 开发：基础触屏操作（Raw Touch） 多点触控(Multi-Touch)就是通过与触屏设备的接触达到人与应用程序交互的操作过程.例如,生活中经常使用的触屏手机.触屏笔 记本.显示器以及微软最新的Surface 产品等这些都属于触屏操作设备.本篇将介绍如何开发能够支持MT 功能的应用程序. 在WPF 4 中已经具备的多点触控开发技术,当多个手指触碰到触屏设备时,WPF 会把每跟手指认为是一个触控设备,并为其分配唯一的 识别ID,以便跟踪不同手指的操作手势.下面将通过实例演示WPF 所支持的低级别触控操作:触碰(TouchDown).分">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">WPF Multi-Touch 开发：基础触屏操作（Raw Touch）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>多点触控（Multi-Touch）就是通过与触屏设备的接触达到人与应用程序交互的操作过程。例如，生活中经常使用的触屏手机、触屏笔 记本、显示器以及微软最新的Surface 产品等这些都属于触屏操作设备。本篇将介绍如何开发能够支持MT 功能的应用程序。</p>
<p>在WPF 4 中已经具备的多点触控开发技术，当多个手指触碰到触屏设备时，WPF 会把每跟手指认为是一个触控设备，并为其分配唯一的 识别ID，以便跟踪不同手指的操作手势。下面将通过实例演示WPF 所支持的低级别触控操作：触碰（TouchDown）、分离（TouchUp）、移 动（TouchMove），它们都是一些最基础的操作模式。</p>
<p>创建项目</p>
<p>新建项目在XAML中写入如下代码，&lt;Grid&gt;中只添加了&lt;Canvas&gt; 控件，其中包含TouchDown、TouchUp、TouchMove 三个基 础触控事件。当手指触碰程序时便会在Canvas 中生成彩色圆圈，圆圈的位置随手指的移动而改变，手指离开触屏的同时圆圈消失。接下来 将逐一讲解每个事件所完成的任务。</p>
<p><code>&lt;Window　x:Class="WpfRawTouch.MainWindow"<br />
　　　　 xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"<br />
　　　　 xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"<br />
　　　　 Title="MainWindow"　Height="350"　Width="525"&gt;<br />
　　 &lt;Grid&gt;<br />
　　　　 &lt;Canvas　x:Name="touchPad"　Background="Gray"<br />
　　　　　　　　 TouchDown="touchPad_TouchDown"　TouchUp="touchPad_TouchUp"<br />
　　　　　　　　 TouchMove="touchPad_TouchMove"&gt;<br />
　　　　 &lt;/Canvas&gt;<br />
　　 &lt;/Grid&gt;<br />
&lt;/Window&gt;</code></p>
<p>TouchDown 事件主要是完成当触碰产生时在&lt;Canvas&gt; 控件中生成彩色圆圈的任务（C#代码如下）。使用Ellipse 创建随机颜色 的圆圈，通过GetTouchPoint 方法获取触碰位置点，并调整圆圈在&lt;Canvas&gt; 中的位置。为了跟踪手指移动轨迹，需要将触屏设备ID 及UI 控件存储在集合movingEllipses 中。</p>
<p><code>private　Dictionary&lt;int,　Ellipse&gt;　movingEllipses　=　new　Dictionary&lt;int,　Ellipse&gt;();<br />
Random　rd　=　new　Random();</p>
<p>private　void　touchPad_TouchDown(object　sender,　TouchEventArgs　e)<br />
{<br />
　　 Ellipse　ellipse　=　new　Ellipse();<br />
　　 ellipse.Width　=　30;<br />
　　 ellipse.Height　=　30;<br />
　　 ellipse.Stroke　=　Brushes.White;<br />
　　 ellipse.Fill　=　new　SolidColorBrush(　<br />
　　　　 Color.FromRgb(　<br />
　　　　　　 (byte)rd.Next(0,　255),　<br />
　　　　　　 (byte)rd.Next(0,　255),　<br />
　　　　　　 (byte)rd.Next(0,　255))<br />
　　　　　　 );</p>
<p>　　 TouchPoint　touchPoint　=　e.GetTouchPoint(touchPad);<br />
　　 Canvas.SetTop(ellipse,　touchPoint.Bounds.Top);<br />
　　 Canvas.SetLeft(ellipse,　touchPoint.Bounds.Left);</p>
<p>　　 movingEllipses[e.TouchDevice.Id]　=　ellipse;</p>
<p>　　 touchPad.Children.Add(ellipse);<br />
}</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 16:42:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%ae%be%e5%a4%87/" title="设备">设备</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/%e5%9c%86%e5%9c%88/" title="圆圈">圆圈</a>, <a href="https://www.iamivan.net/tag/touchup/" title="touchup">touchup</a>, <a href="https://www.iamivan.net/tag/%c2%a0touchdown%c2%a0%c2%a0%e6%9c%89%e5%bb%b6%e8%bf%9f/" title="&nbsp;touchdown&nbsp;&nbsp;有延迟">&nbsp;touchdown&nbsp;&nbsp;有延迟</a>, <a href="https://www.iamivan.net/tag/%e6%89%8b%e6%8c%87/" title="手指">手指</a>, <a href="https://www.iamivan.net/tag/%e8%a7%a6%e5%b1%8f/" title="触屏">触屏</a>, <a href="https://www.iamivan.net/tag/cef3-%e8%a7%a6%e5%b1%8f-vc/" title="cef3 触屏 vc&plus;&plus;">cef3 触屏 vc&plus;&plus;</a>, <a href="https://www.iamivan.net/tag/winfrom%c2%a0%e8%a7%a6%e5%b1%8f/" title="Winfrom&nbsp;触屏">Winfrom&nbsp;触屏</a>, <a href="https://www.iamivan.net/tag/ellipsize%e5%a4%b1%e6%95%88/" title="ellipsize失效">ellipsize失效</a>, <a href="https://www.iamivan.net/tag/%e8%af%b7%e6%95%99wpf%e6%89%8b%e5%8a%bf%e6%93%a6%e9%99%a4%e9%97%ae%e9%a2%98/" title="请教wpf手势擦除问题">请教wpf手势擦除问题</a>, <a href="https://www.iamivan.net/tag/ellipsize%e5%b1%9e%e6%80%a7/" title="ellipsize属性">ellipsize属性</a>, <a href="https://www.iamivan.net/tag/%e8%a7%a6%e5%b1%8f%e4%ba%8b%e4%bb%b6/" title="触屏事件">触屏事件</a>, <a href="https://www.iamivan.net/tag/%e8%a7%a6%e5%b1%8f%e4%ba%8b%e4%bb%b6%e5%bc%80%e5%8f%91/" title="触屏事件开发">触屏事件开发</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>WPF Multi-Touch 开发：基础触屏操作（Raw Touch）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zea7l9z.html" rel="bookmark">一起谈&period;NET技术，WPF Multi-Touch 开发：基础触屏操作（Raw Touch）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				多点触控(Multi-Touch)就是通过与触屏设备的接触达到人与应用程序交互的操作过程.例如,生活中经常使用的触屏手机.触屏笔记本.显示器以及微软最新的Surface 产品等这些都属于触屏操作设备.本篇将介绍如何开发能够支持MT 功能的应用程序. 在WPF 4 中已经具备的多点触控开发技术,当多个手指触碰到触屏设备时,WPF 会把每跟手指认为是一个触控设备,并为其分配唯一的识别ID,以便跟踪不同手指的操作手势.下面将通过实例演示WPF 所支持的低级别触控操作:触碰(TouchDown).分离(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP28qZb.html" rel="bookmark">一起谈&period;NET技术，WPF Multi-Touch 开发：高级触屏操作（Manipulation）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一篇中我们对基础触控操作有了初步了解,本篇将继续介绍触碰控制的高级操作(Manipulatioin),在高级操作中包含了一些特殊的触屏手势:平移.缩放.旋转,当然在WPF 中无需自行开发这些手势,只需将UI 控件的IsManipulationEnabled 属性激活,并通过以下四种事件完成各种触屏手势操作:ManipulationStarting.ManipulationStarted.ManipulationDelta.ManipulationInertiaStarting.Manipul			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91XGdM.html" rel="bookmark">WPF Multi-Touch 开发：高级触屏操作（Manipulation）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一篇中我们对基础触控操作有了初步了解,本篇将继续介绍触碰控制的高级操作(Manipulatioin),在高级操作中包含了一些特殊 的触屏手势:平移.缩放.旋转,当然在WPF 中无需自行开发这些手势,只需将UI 控件的IsManipulationEnabled 属性激活,并通过以下 四种事件完成各种触屏手势操作:ManipulationStarting.ManipulationStarted. ManipulationDelta.ManipulationInertiaStarting. Man			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baloWqz.html" rel="bookmark">Windows 8&period;1应用开发之触控操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				与WPF相同Windows 8.1应用中也具有高级触控操作(Manipulation),其中包含了三种常见的触屏手势:平移.缩放.旋转,通过以下四种事件可为控件实现各种触控操作:ManipulationStarting.ManipulationStarted.ManipulationDelta.ManipulationInertiaStarting.ManipulationCompleted. 开发之触控操作-windows应用程序开发&quot;&gt; 打开Visual Studio 2013 Pre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvmkLNb.html" rel="bookmark">uibutton-按钮对触屏操作不响应是怎么回事呢</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 按钮对触屏操作不响应是怎么回事呢 问题描述: 在我的应用里,给UIView添加了一个UIImageview,然后给UIImageView添加了一个UIButton,但是触摸屏幕后,按钮也没反映,action selector也没有调用. 解决方案 把button 加在uiview上面或者把uiimageview.userInteractionEnabled = YES.即可,试试吧,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLgAKLM.html" rel="bookmark">Swatch打算出新的触屏电子表Swatch Touch Zero One</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要: 在其不充电智能手表还没有问世之前,Swatch打算出一款新的触屏电子表Swatch Touch Zero One. 从官方视频来看,这款手表主要为排球运动量身定制,它可以记录击球力度.次数(low hits, h 在其不充电智能手表还没有问世之前,Swatch打算出一款新的触屏电子表--Swatch Touch Zero One. 从官方视频来看,这款手表主要为排球运动量身定制,它可以记录击球力度.次数(low hits, high hits, power hits, and high-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvnO68M.html" rel="bookmark">Swatch将出一款新的触屏电子表Swatch Touch Zero One</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要: 在其不充电智能手表还没有问世之前,Swatch打算出一款新的触屏电子表Swatch Touch Zero One. 从官方视频来看,这款手表主要为排球运动量身定制,它可以记录击球力度.次数(low hits, h 在其不充电智能手表还没有问世之前,Swatch打算出一款新的触屏电子表--Swatch Touch Zero One. 从官方视频来看,这款手表主要为排球运动量身定制,它可以记录击球力度.次数(low hits, high hits, power hits, and high-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJewE7p.html" rel="bookmark">使用C&num;开发Metro 风格应用的路线图 -- 触屏操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文 http://www.cnblogs.com/icuit/archive/2012/05/01/2478312.html win8支持多点触摸技术,而我们在屏幕上所做的各种操作,也最终转换为输入,包括 操作 描述 Tap 一个指头轻点一下屏幕 Hold 一个指头按住屏幕不动 Drag 一个或多个指头按住屏幕并相相同的方向移动 Pinch 两个指头按住屏幕越来越近或越来越远 Rotate 两个批判按住屏幕做顺时或逆时针旋转 Cross-slide 一个指头按住一个对象向某个方向滑动.  在w			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEZm7b.html" rel="bookmark">Win8触屏操作更高效</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  说到Win8,很多人第一个想到的就是触屏,的确对触控操作的支持是Win8一项非常重大的进步,这一改进将Windows系统从一个桌面系统引入了更便捷的移动系统的范畴.所以今天我们就说说,有了触屏的Win8会有多高效. Win8系统对触屏的支持带来的第一个好处就是便携性大大提高,在以往我们出差时需要准备鼠标和键盘,现在这些通通都不需要了,连触摸板都可以抛弃.我们可以直接用手指在屏幕上进行任何操作,甚至使用内置的触屏输入法打字.这就大大减小了差旅时的准备成本,包括时间的和空间的. Win8触控键盘			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX23Ab.html" rel="bookmark" class="title">一般才能的人不要搞互联网&lbrack;张朝阳&rsqb;</a>
					<div>
						&quot;我不取悦任何人&quot; 11月11日,搜狐公司董事局主席兼首席执行官张朝阳应&quot;中国百名IT青年精英论坛&quot;邀请来到济南.昨天下午,他来到山东大学东校区演讲,张朝阳个性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOYlRM.html" rel="bookmark" class="title">惊艳：超级模特photoshop上色大法</a>
					<div>
						用调整图层上色可以随时调整自己不满意的颜色,而且衔接自然!对举棋不定的调色非常有帮助!我想大家也都会了吧,只是用了调整图层而已,但具体情况具体对待,调色的工具非常多,自己用最拿手的就可以了,结果是一样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmkkqb.html" rel="bookmark" class="title">用Fireworks做马赛克文字效果</a>
					<div>
						新建一个背景为黑色的文件,输入文字,大小为40px字体为Aril Black 新建文字 选择Edit(编辑)-Preferences(参数选择),将Interpolation(插值法)改为Neares ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j2AZb.html" rel="bookmark" class="title">《基于MFC的OpenGL编程》Part 1 A Primer</a>
					<div>
						3D图形学基本概念 Perspective Perspective refers to the angles between the lines that lend the illusion of t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKoO8M.html" rel="bookmark" class="title">C&num;泛型秘诀&lpar;3&rpar;</a>
					<div>
						4.5 使用相应的泛型版本替换Stack和Queue 问题 您希望通过将所有Stack和Queue对象替换为相应的泛型版本以提高应用程序的效率,并使得代码更易于使用.当结构体或其他值类型存储在这些数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyvLkb.html" rel="bookmark" class="title">C&num;删除多重文件夹</a>
					<div>
						一个根文件夹,底下包含多级目录,每一级又存在多个个子文件夹,每个文件夹里面又存在多个文件. 如果要删除所有子文件又保存最顶级的目录文件夹,那采用什么办法处理好呢? 处理方法 1. 直接删除根文件夹,然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7We5M.html" rel="bookmark" class="title">Linux VPS Centos LLNMP环境安装图文教程</a>
					<div>
						作为一般的VPS使用者来说,都可能会采用lnmp(linux+nginx+mysql+php)或者采用 llsmp(linux+LiteSpeed+mysql+php)的架构作为我们的VPS建站系统环 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7PmnM.html" rel="bookmark" class="title">网页设计基本配色参考柔和色谱</a>
					<div>
						当我们要设计出柔和的色彩组合时,使用没有高度对比的明色,是最明智不过的了.桃色在无言的调色板上传达出诱人.甜美的色彩讯息,非常适合任何场所,无论是在餐厅,展示商品的店里,还是在流行服饰中,这类色彩都展 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPRmjM.html" rel="bookmark" class="title">IE10为你提供保护的使用</a>
					<div>
						社交.购物.学习.共享.工作 - 这些是你可能在网络上日常所做的事情,而这些活动可能会将你的个人信息泄露给其他人.Internet Explorer 10 会在后台为你提供更佳的安全保护,使你能够更好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa8yLz.html" rel="bookmark" class="title">将字符串中由空格隔开的每个单词首字母大写</a>
					<div>
						 这篇文章主要介绍了如何将字符串中的每个单词的首字母变为大写,需要的朋友可以参考下 字符串中,每个单词由空格隔开,空格的个数不限  代码如下: function capitalize(sting) { ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW2Jqp.html" rel="bookmark" class="title">魅族魅蓝发布会视频直播地址</a>
					<div>
						  魅族将于今天下午推出全新品牌魅蓝,而这个传闻已久的千元产品到底如何?为何邀请函会是一块iPhone 5c后盖?魅蓝将会给魅族带来什么改变? 目前发布会视频直播地址已出炉,喜欢魅族,喜欢小尺寸,喜欢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRw2Pdp.html" rel="bookmark" class="title">Cocos2D中的纹理大小计算</a>
					<div>
						纹理占用的内存大小是纹理尺寸乘以颜色深度. 图片文件的大小一般很小.一个初学者常见的错误是假设纹理内存使用量和图片大小一致. 哎,纹理内存(对于非压缩格式)的大小可以用以下伪代码来计算: pixelW ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjrPlp.html" rel="bookmark" class="title">Jquery结合HTML5实现文件上传&lowbar;jquery</a>
					<div>
						1.利用Jquery使用HTML5的FormData属性实现对文件的上传 在HTML5以前我们如果需要实现文件上传服务器等功能的时候,有时候我们不得不依赖于FLASH去实现,而在HTML5到来之后,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr4PWM.html" rel="bookmark" class="title">android 拨号-android 手机拨打分机号如何显示名字&quest;</a>
					<div>
						问题描述 android 手机拨打分机号如何显示名字? 请大侠帮助, 手机存了一个带分机号的号码(加上名字的),拨打后,只显示分机号前面的号码(&quot;,&quot; 号前面的号码),不显示名字, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7olJz.html" rel="bookmark" class="title">IE里的探索之向标准上下文相关菜单里添加条目</a>
					<div>
						IE里的探索之向标准上下文相关菜单里添加条目(作者:青苹果工作室编译 2001年02月08日 13:28) 本文描述在Microsoft Internet Explorer中执行URL指定的脚本时,如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmjVWb.html" rel="bookmark" class="title">我国将建统一的企业信息公示大数据平台 年底上线</a>
					<div>
						我国将建统一的企业信息公示大数据平台 年底上线 责任编辑:editor006 作者:王嫚 |  2016-09-22 19:14:50 本文摘自:人民网 以后,备受老百姓关注的&quot;执行难&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjA7yM.html" rel="bookmark" class="title">oracle 可以做闪回的操作有哪些</a>
					<div>
						问题描述 请问下ORACLE可以做闪回的操作有哪些? 解决方案 闪回数据库闪回表(一种是删除表,一种是执行了错误的操作)闪回查询					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1VGoz.html" rel="bookmark" class="title">partproble在RHEL 6下无法更新分区信息</a>
					<div>
						在RHEL5.x版本下面,在添加磁盘分区等操作后,一直使用partproble命令使内核重新读取分区表信息,从而不用重新启动.但是最近在RHEL 6(Red Hat Enterprise Linux  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwPo5M.html" rel="bookmark" class="title">《Visual C&plus;&plus;数字图像模式识别技术详解（第2版）》一第2章 Visual C&plus;&plus;数字图像处理基础</a>
					<div>
						第2章 Visual C++数字图像处理基础 作为微软公司推出的一款功能强大而复杂的编译器,Visual C++提供了完善的Windows应用程序编程框架.它可用于开发各种类型.不同规模和复杂程度的应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBELPM.html" rel="bookmark" class="title">《UNIXLinux程序设计教程》一2&period;1　UNIX 输入输出基本概念</a>
					<div>
						2.1 UNIX 输入输出基本概念 在任何一种操作系统中,程序开始读写一个文件的内容之前,必须首先在程序与文件之间建立连接或通信通道,这一过程称为打开文件.打开一个文件的目的可能是要读其中的数据,也可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmB1K7z.html" rel="bookmark" class="title">api-ArrayAdapter的构造方法</a>
					<div>
						问题描述 ArrayAdapter的构造方法 按照安卓的api来写ArrayAdapter的构造方法里的参数,为什么会有错误提示该构造方法 解决方案 MyDialog不是context类型的,需要先获 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJv9dp.html" rel="bookmark" class="title">8月12日阿里云服务升级公告</a>
					<div>
						尊敬的用户: 您好,阿里云将于8月12日凌晨开始进行下述系统和服务升级. 售卖和财务系统将于2014年8月12日凌晨01:00至02:00进行服务升级,升级期间影响如下: 1.您无法通过阿里云官网.E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRlyWp.html" rel="bookmark" class="title">NVIDIA与Intel之间的闹剧在法庭外和平解决</a>
					<div>
						NVIDIA与Intel之间有关芯片组专利授权旷日持久的法律纠纷近期已经达成和解,双方都做出了一定的妥协,最终让这场闹剧在法庭外和平解决.目前有关此事的唯一公开报道来自证券企业Wedbush-Morg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZR7qb.html" rel="bookmark" class="title">每天一篇javascript学习小结（RegExp对象）&lowbar;javascript技巧</a>
					<div>
						1.正则表达式test方法 var text = &quot;cat, bat, sat, fat&quot;; var pattern = /.at/; if (pattern.test(text) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE9Lmz.html" rel="bookmark" class="title">带Form框说明的导航说明的导航</a>
					<div>
						带说明的导航 下面框中为脚本显示区 ABC CBS NBC Fox Cartoon Network Discovery Channel Warner Brothers Network QVC Hist ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWoG5z.html" rel="bookmark" class="title">如jQuery般易用的api风格代码分享&lowbar;javascript技巧</a>
					<div>
						fasdffasdffasdffasdffasdffasdf fasdffasdf					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL8EBM.html" rel="bookmark" class="title">JS实现下拉菜单赋值到文本框的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JS实现下拉菜单赋值到文本框的方法.分享给大家供大家参考.具体如下: 这里演示下拉菜单和文本框构建的介绍栏,将Select框中的值定位到INPUT文本输入框中,是下拉框赋值到文本框的实例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW7aZz.html" rel="bookmark" class="title">windows XP server professional源代码&comma;要的留下email</a>
					<div>
						问题描述 抓紧时间 解决方案 解决方案二:我只给前一千名发,过期不候解决方案三:sf哈哈,这么好的东西为什么没有接呀.lg_915@126.com解决方案四:什么叫windowsXPserverpro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8vV0b.html" rel="bookmark" class="title">c语言-VS2013 C语言建项目后 没有 &amp;amp&semi;amp&semi;lt&semi;源文件&amp;amp&semi;amp&semi;gt&semi;的子文件</a>
					<div>
						问题描述 VS2013 C语言建项目后 没有 &lt;源文件&gt;的子文件 求解答 解决方案 为什么是类视图,建议切换到其他视图 可能是因为你的代码中没有类 解决方案二: 没有的话,你新添加个文件不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4Y7Ab.html" rel="bookmark" class="title">ARM 开发板嵌入式linux系统与主机PC通过串口传输文件</a>
					<div>
						本文转载自http://useless20.blog.163.com/blog/static/237409982010227127576/ 嵌入式linux系统与主机通过串口传输文件      我想如 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
